function [uData, dData] = generateDataTentMap(samplelength)
% Generates a sequence of length samplelength of the iterated tent map with
% r = 1.95 and assigns it to uData (a column vector). The other output
% dData is the same sequence shifted one step into the future, so dData
% represents the teacher output for a one-step-prediction task.


% Created by H. Jaeger February 21, 2007. For conditions of use, see main
% script "stochOpt" in this package.

data = zeros(samplelength+1,1);

x = 0.03 * pi;
 r = 1.95;

for n = 1:samplelength
    
    if x > 0.5
        x = r - r*x;
    else
        x = r*x;
    end
    data(n,1) = x;

end

uData = data(1:end-1,1);
dData = data(2:end,1);